// The important part here is: int b = a++;
// This is a postfix increment, meaning that the value of "a" is fetched,
// assigned to b, and then the "a++" is run, incrementing a.
//
// a: 3
// b: 2

#include <iostream>

using namespace std;

int main()
{
	int a = 2;
	int b = a++;

	cout << "a: " << a << ", b: " << b << endl;

	return 0;
}
